View Issue Details

IDProjectCategoryView StatusLast Update
0001650PartDesignFeaturepublic2020-03-02 20:16
ReporterSterna Assigned Torealthunder  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacbook Pro late 2011OSOS XOS Version10.9.4
Product Version0.14 
Fixed in Version0.19 
Summary0001650: Fillets/chamfers and such are not multiplied using a pattern tool
DescriptionWhen modifying a feature with tools such as chamfer and fillet, these modifications cannot be copied using a pattern tool. If these modifications are wanted for all instances of the feature, it has to be performed on each instance, which is very frustrating.
Steps To ReproduceAttached is a file to show the problem. The feature "Toothpad" has a fillet (Called "Fillet"). When selecting the feature "Toothpad" and selecting "Polar pattern feature", the feature is copied, but only the original instance has the fillet.
TagsNo tags attached.
FreeCAD Information

Activities

Sterna

2014-07-29 21:30

reporter  

gearTest2.FCStd (37,857 bytes)

Kunda1

2017-04-29 11:24

administrator   ~0008819

@normandc is this still the case in 0.17.* ?

normandc

2017-04-29 18:25

manager   ~0008831

Yes. Fillets, chamfers and drafts are still not supported in master by PartDesign transformation tools.

Kunda1

2017-06-28 13:22

administrator   ~0009571

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=23163

wmayer

2020-02-14 12:37

administrator   ~0014157

https://github.com/FreeCAD/FreeCAD/commit/469614eb175d9de640d90a37a263e12269cbad9b
https://github.com/FreeCAD/FreeCAD/commit/3a9002217c8c8bc13fa3e3e4630b7a5dfe0b9342

realthunder

2020-03-02 20:16

developer   ~0014200

Fix committed to master branch.

Related Changesets

FreeCAD: master 469614eb

2020-02-12 20:48:37

realthunder


Committer: wwmayer Details Diff
PartDesign: support transformed pattern in FeatureDressUp

Fixes 0001650
Affected Issues
0001650
mod - src/Mod/PartDesign/App/AppPartDesign.cpp Diff File
mod - src/Mod/PartDesign/App/FeatureDressUp.cpp Diff File
mod - src/Mod/PartDesign/App/FeatureDressUp.h Diff File

Issue History

Date Modified Username Field Change
2014-07-29 21:30 Sterna New Issue
2014-07-29 21:30 Sterna File Added: gearTest2.FCStd
2017-04-29 11:24 Kunda1 Note Added: 0008819
2017-04-29 18:25 normandc Note Added: 0008831
2017-06-28 13:22 Kunda1 Note Added: 0009571
2020-02-14 12:37 wmayer Note Added: 0014157
2020-02-14 12:38 wmayer Assigned To => realthunder
2020-02-14 12:38 wmayer Status new => closed
2020-02-14 12:38 wmayer Resolution open => fixed
2020-02-14 12:38 wmayer Fixed in Version => 0.19
2020-03-02 20:16 realthunder Changeset attached => FreeCAD master 469614eb
2020-03-02 20:16 realthunder Note Added: 0014200